### Enumeration

# GLib UnicodeType

#### Declaration

    enum GLib.UnicodeType

#### Description [src]

These are the possible character classifications from the Unicode specification. See Unicode Character Database.

#### Members

Name | Description
--- | ---
`G_UNICODE_CONTROL` | General category “Other, Control” (Cc)
`G_UNICODE_FORMAT` | General category “Other, Format” (Cf)
`G_UNICODE_UNASSIGNED` | General category “Other, Not Assigned” (Cn)
`G_UNICODE_PRIVATE_USE` | General category “Other, Private Use” (Co)
`G_UNICODE_SURROGATE` | General category “Other, Surrogate” (Cs)
`G_UNICODE_LOWERCASE_LETTER` | General category “Letter, Lowercase” (Ll)
`G_UNICODE_MODIFIER_LETTER` | General category “Letter, Modifier” (Lm)
`G_UNICODE_OTHER_LETTER` | General category “Letter, Other” (Lo)
`G_UNICODE_TITLECASE_LETTER` | General category “Letter, Titlecase” (Lt)
`G_UNICODE_UPPERCASE_LETTER` | General category “Letter, Uppercase” (Lu)
`G_UNICODE_SPACING_MARK` | General category “Mark, Spacing” (Mc)
`G_UNICODE_ENCLOSING_MARK` | General category “Mark, Enclosing” (Me)
`G_UNICODE_NON_SPACING_MARK` | General category “Mark, Nonspacing” (Mn)
`G_UNICODE_DECIMAL_NUMBER` | General category “Number, Decimal Digit” (Nd)
`G_UNICODE_LETTER_NUMBER` | General category “Number, Letter” (Nl)
`G_UNICODE_OTHER_NUMBER` | General category “Number, Other” (No)
`G_UNICODE_CONNECT_PUNCTUATION` | General category “Punctuation, Connector” (Pc)
`G_UNICODE_DASH_PUNCTUATION` | General category “Punctuation, Dash” (Pd)
`G_UNICODE_CLOSE_PUNCTUATION` | General category “Punctuation, Close” (Pe)
`G_UNICODE_FINAL_PUNCTUATION` | General category “Punctuation, Final quote” (Pf)
`G_UNICODE_INITIAL_PUNCTUATION` | General category “Punctuation, Initial quote” (Pi)
`G_UNICODE_OTHER_PUNCTUATION` | General category “Punctuation, Other” (Po)
`G_UNICODE_OPEN_PUNCTUATION` | General category “Punctuation, Open” (Ps)
`G_UNICODE_CURRENCY_SYMBOL` | General category “Symbol, Currency” (Sc)
`G_UNICODE_MODIFIER_SYMBOL` | General category “Symbol, Modifier” (Sk)
`G_UNICODE_MATH_SYMBOL` | General category “Symbol, Math” (Sm)
`G_UNICODE_OTHER_SYMBOL` | General category “Symbol, Other” (So)
`G_UNICODE_LINE_SEPARATOR` | General category “Separator, Line” (Zl)
`G_UNICODE_PARAGRAPH_SEPARATOR` | General category “Separator, Paragraph” (Zp)
`G_UNICODE_SPACE_SEPARATOR` | General category “Separator, Space” (Zs)